Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

AEM Plugin for Eclipse

Avatar

Level 5

    Hi All,

         I am trying to configure AEM plugin in Eclipse IDE. But i end up with installation failure while collecting the requirements itself. Details are as follows.

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.m2e.archetype.common,1.6.2.20150902-0001
No repository found containing: osgi.bundle,org.eclipse.m2e.core,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.core.ui,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.discovery,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.editor,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.editor.xml,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.jdt,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.jdt.ui,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.launching,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.lifecyclemapping.defaults,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.logback.appender,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.logback.configuration,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.maven.indexer,1.6.2.20150902-0001
No repository found containing: osgi.bundle,org.eclipse.m2e.maven.runtime,1.6.2.20150902-0001
No repository found containing: osgi.bundle,org.eclipse.m2e.maven.runtime.slf4j.simple,1.6.2.20150902-0001
No repository found containing: osgi.bundle,org.eclipse.m2e.model.edit,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.profiles.core,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.profiles.ui,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.refactoring,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.scm,1.6.2.20150902-0002
No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.feature,1.6.2.20150902-0002
No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.logback.feature,1.6.2.20150902-0002
No repository found containing: osgi.bundle,org.eclipse.m2e.workspace.cli,0.3.1

 

Requesting your guidance on this.

Thanks,

Jai   

1 Accepted Solution

Avatar

Correct answer by
Administrator

Hi Jai

Please have a look at this post:- 

Link:- http://stackoverflow.com/questions/6470802/what-to-do-about-eclipses-no-repository-found-containing-...

//

Quick answer: Help>Install new software>Uncheck Contact all update sites during install to find required software

Eclipse will prompt that the content isn't authorized or something like that. just ignore and continue. then everything will be OK.

 

// Other Workarounds

  1. "you have to remove and re-add the Eclipse Project Update site, so that its metadata are re-calculated." - works as workaround

  2. Another workaround I found, is to edit the pre-defined URL link by adding just a trailing / to the update site URL.

  3. The third workaround I discoverd accidentaly is to do nothing, but to uncheck the 'Contact all update sites during install to find required software' before checking the URL link.

 

It is actually bug with Eclipse :- https://bugs.eclipse.org/bugs/show_bug.cgi?id=290782

I hope this will work for you.

Thanks and Regards

Kautuk Sahni

View solution in original post

4 Replies

Avatar

Community Advisor

Hi Jai,

Follow this community article which talks about AEM projects using eclipse Plugin: http://adobeaemclub.com/how-to-set-up-aem-projects-using-eclipse-plugin/

Or else

You can also use this latest article that talks about, how to create an AEM project by using Maven Adobe Archetype 10: https://helpx.adobe.com/experience-manager/using/first-arch10.html

P.S: This is applicable for AEM6.1 too!(Recommended for AEM6.x projects)

Thanks,
Ratna Kumar.

Avatar

Level 5

Hi Ratna,

   I did followed the same. But still getting same error..

Avatar

Correct answer by
Administrator

Hi Jai

Please have a look at this post:- 

Link:- http://stackoverflow.com/questions/6470802/what-to-do-about-eclipses-no-repository-found-containing-...

//

Quick answer: Help>Install new software>Uncheck Contact all update sites during install to find required software

Eclipse will prompt that the content isn't authorized or something like that. just ignore and continue. then everything will be OK.

 

// Other Workarounds

  1. "you have to remove and re-add the Eclipse Project Update site, so that its metadata are re-calculated." - works as workaround

  2. Another workaround I found, is to edit the pre-defined URL link by adding just a trailing / to the update site URL.

  3. The third workaround I discoverd accidentaly is to do nothing, but to uncheck the 'Contact all update sites during install to find required software' before checking the URL link.

 

It is actually bug with Eclipse :- https://bugs.eclipse.org/bugs/show_bug.cgi?id=290782

I hope this will work for you.

Thanks and Regards

Kautuk Sahni

Avatar

Level 5

Hi Kautuk Sahni,

   That worked. Thanks a ton 🙂